//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializegetServerMessageRequest")
inline fun getServerMessageRequest(block: gg.dsepractice.chinese.v1alpha1.GetServerMessageRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetServerMessageRequest =
  gg.dsepractice.chinese.v1alpha1.GetServerMessageRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.GetServerMessageRequest.newBuilder()).apply { block() }._build()
object GetServerMessageRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.GetServerMessageRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.GetServerMessageRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.GetServerMessageRequest = _builder.build()
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.GetServerMessageRequest.copy(block: gg.dsepractice.chinese.v1alpha1.GetServerMessageRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetServerMessageRequest =
  gg.dsepractice.chinese.v1alpha1.GetServerMessageRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

